//
//      EFFECT.HPP
//	version 1.00	11/20/91
//      header for sound effects generator
//	copyright (c) 1991 by James S. Clark
//	all rights reserved
//


#ifndef EFFECT_HPP
#define EFFECT_HPP

#include "play.hpp"

enum	Wavetype { SQUARE, TRIANGLE, RAMPUP, RAMPDOWN, RANDOM };


class Effect : public Play {
public:
	Effect	()	{ };
	~Effect	()	{ };

	void	generator(int wave, int time, int f1, int f2,
				int step, int dur);

	void	alarm	(int time)
			{ generator(SQUARE, time, 2000, 1000, 25, 25); };
	void	bomb	(int time)
			{ generator(RAMPDOWN, time, 2000, 500, 2, 2); };
	void	computer(int time)
			{ generator(RANDOM, time, 2000, 500, 0, 50); };
	void	explode (int time)
			{ generator(RANDOM, time, 500, 50, 0, 1); };
	void	explode2(int time)
			{ generator(RANDOM, time, 5000, 100, 2, 5); };
	void	laser	(int time)
			{ generator(TRIANGLE, time, 500, 100, 100, 2); };
	void	phone	(int time)
			{ generator(SQUARE, time, 500, 250, 500, 500); };
	void	police	(int time)
			{ generator(TRIANGLE, time, 500, 100, 2, 3); };
	void	raygun  (int time)
			{ generator(RAMPUP, time, 1000, 500, 10, 2); };
	void	tinkle	(int time)
			{ generator(RANDOM, time, 10000, 5000, 0, 25); };
};

#endif


