//
//	GRAPHIC.HPP
//      version 1.00    11/15/91
//      header for Graphics Class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved.
//

#ifndef GRAPHIC_HPP
#define GRAPHIC_HPP


#include <graphics.h>


class Graphic {
	int 	graphdriver, graphmode;
	int 	screenwidth, screenheight;
	int 	fontwidth, fontheight;
	int 	color, pattern;
public:
	Graphic (int driver = 0, int mode = 0);
	~Graphic();

	void	backcolor (int );
	void	clear	  ();
	void 	drawchar  (char );
	void 	drawstring(int , int , char *);

	void	fillarc	  (int , int , int , int , int , int );
	void 	filloval  (int , int , int , int );
	void	fillpolygon(int , int far *);
	void 	fillrect  (int , int , int , int );
	void	framearc  (int , int , int , int , int , int );
	void	framepolygon(int , int far *);
	void 	framerect (int , int , int , int );
	void 	frameoval (int , int , int , int );

	void	line_rel  (int , int );
	void 	line_to   (int , int );
	void	loadfont  (int );
	void 	move_rel  (int , int );
	void 	move_to   (int , int );
	void 	pencolor  (int );
	void	penpattern(int );
	int  	readpixel (int , int );
	void 	screensize(int *, int *);
	void 	setpixel  (int , int , int );
	void 	textsize  (int *, int *);
	void	viewport  (int , int , int , int );
	void    shutdown  ();
};

#endif

