/*
        KEYS.H
        version 1.00    11/20/91
        extended IBM key scan codes
        copyright (c) 1991 by James S. Clark
*/

/*  status flags returned by keyboard status */

#define RIGHT_SHIFT      0x01
#define LEFT_SHIFT       0x02
#define CTRL_KEY         0x04
#define ALT_KEY          0x08
#define SCROLL_LOCK      0x10
#define NUM_LOCK         0x20
#define CAPS_LOCK        0x40
#define INSERT_MODE      0x80

/* ascii values for special keys */

#define BACKSPACE    8
#define TAB          9
#define LINEFEED    10
#define ENTER       13
#define ESCAPE      27

/* scancode values for the function keys */

#define F1          59
#define F2          60
#define F3          61
#define F4          62
#define F5          63
#define F6          64
#define F7          65
#define F8          66
#define F9          67
#define F10         68
#define F11         133
#define F12         134

#define SHIFT_F1    84
#define SHIFT_F2    85
#define SHIFT_F3    86
#define SHIFT_F4    87
#define SHIFT_F5    88
#define SHIFT_F6    89
#define SHIFT_F7    90
#define SHIFT_F8    91
#define SHIFT_F9    92
#define SHIFT_F10   93
#define SHIFT_F11   135
#define SHIFT_F12   136

#define CTRL_F1     94
#define CTRL_F2     95
#define CTRL_F3     96
#define CTRL_F4     97
#define CTRL_F5     98
#define CTRL_F6     99
#define CTRL_F7     100
#define CTRL_F8     101
#define CTRL_F9     102
#define CTRL_F10    103
#define CTRL_F11    137
#define CTRL_F12    138

#define ALT_F1      104
#define ALT_F2      105
#define ALT_F3      106
#define ALT_F4      107
#define ALT_F5      108
#define ALT_F6      109
#define ALT_F7      110
#define ALT_F8      111
#define ALT_F9      112
#define ALT_F10     113
#define ALT_F11     139
#define ALT_F12     140

/* scancode values for the numeric keypad */

#define LEFT_ARROW           75
#define RIGHT_ARROW          77
#define UP_ARROW             72
#define DOWN_ARROW           80
#define HOME                 71
#define END                  79
#define PGUP                 73
#define PGDN                 81
#define INS                  82
#define DEL                  83

#define CTRL_LEFT_ARROW      115
#define CTRL_RIGHT_ARROW     116
#define CTRL_UP_ARROW        160
#define CTRL_DOWN_ARROW      164
#define CTRL_HOME            119
#define CTRL_END             117
#define CTRL_PGUP            132
#define CTRL_PGDN            118
#define CTRL_INS             165
#define CTRL_DEL             166

#define ALT_LEFT_ARROW       178
#define ALT_RIGHT_ARROW      180
#define ALT_UP_ARROW         175
#define ALT_DOWN_ARROW       183
#define ALT_HOME             174
#define ALT_END              182
#define ALT_PGUP             176
#define ALT_PGDN             184
#define ALT_INS              185
#define ALT_DEL              186

/* scancode for shift-tab */

#define SHIFT_TAB            15

/* scan codes for alt-key combinations */

#define ALT_A      30
#define ALT_B      48
#define ALT_C      46
#define ALT_D      32
#define ALT_E      18
#define ALT_F      33
#define ALT_G      34
#define ALT_H      35
#define ALT_I      23
#define ALT_J      36
#define ALT_K      37
#define ALT_L      38
#define ALT_M      50
#define ALT_N      49
#define ALT_O      24
#define ALT_P      25
#define ALT_Q      16
#define ALT_R      19
#define ALT_S      31
#define ALT_T      20
#define ALT_U      22
#define ALT_V      47
#define ALT_W      17
#define ALT_X      45
#define ALT_Y      21
#define ALT_Z      44

#define CTRL_2    3

#define ALT_0     129
#define ALT_1     120
#define ALT_2     121
#define ALT_3     122
#define ALT_4     123
#define ALT_5     124
#define ALT_6     125
#define ALT_7     126
#define ALT_8     127
#define ALT_9     128

#define CTRL_ASTERIC  114

#define ALT_MINUS  130
#define ALT_EQUAL  131

/*
        some of my key defs
*/

#define ENTERKEY	13
#define ESCKEY		27
#define SPACEBAR	32
#define UPARROW   	72
#define DOWNARROW 	80
#define LEFTARROW 	75
#define RIGHTARROW 	77
#define HOMEKEY		71
#define ENDKEY		79

/* ascii control character values */
/*
#define SOH             1
#define STX             2
#define ETX             3
#define EOT             4
#define ENQ             5
#define ACK             6
#define BEL             7
#define BS              8
#define HT              9
#define LF              10
#define VT              11
#define FF              12
#define CR              13
#define SO              14
#define SI              15
#define DLE             16
#define NAK             21
#define SYN             22
#define ETB             23
#define CAN             24
#define ESC             27
#define FS              28
#define GS              29
#define RS              30
#define US              31
*/

