//
//      LIST.HPP
//      version 1.00    11/10/91
//      header for double linked list class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved.
//


#ifndef LIST_HPP
#define LIST_HPP

#include "node.hpp"


class List {
public:
	Node	*first;
	Node	*last;
	int     (*comparefunc)(void *node1, void *node2);

	List    (int (*compare)(void *node1, void *node2) = NULL);
        virtual ~List   (void);

	Node	*add	(Node *node);
	Node	*add	(Node *before, Node *node);
	Node	*after	(Node *node);
	Node	*before	(Node *node);
//      List	*copy   (int start, int end);
	int	count	(void);
	void	destroy	(void);
	Node	*get	(int index);
	int	includes(Node *node);
	Node	*remove	(Node *node);
	void	sort	(void);

	List&   operator + (Node *node);
	List&   operator - (Node *node);
};

#endif
