//
//      MGRAPHIC.HPP
//      version 1.00    11/10/91
//      header for MGRAPHIC.CPP class
//      copyright (c) 1991 by James S. Clark
//      all right reserved
//

#ifndef GRAPHIC_HPP
#define GRAPHIC_HPP

#include <graphics.h>           // graphics routines
#include <iostream.h>           // used to report error
#include <stdlib.h>
#include <bios.h>

#include "rect.hpp"


class Graphic {
	int 	graphdriver, graphmode;
	int 	screenwidth, screenheight;
	int 	fontwidth, fontheight;
	int 	color, pattern;
public:
	Graphic();

	void    BackColor (int );
	void    DrawChar  (char );
	void    DrawString(int , int , char *);

	void    FillArc   (Rect *r, int , int );
	void    FillOval  (Rect *r);
//      void    FillPoly  (int , Polyhead *, Point *);
	void    FillRect  (Rect *r);
	void    FrameArc  (Rect *r, int , int );
//      void    FramePoly (int , Polyhead *, Point *);
	void    FrameRect (Rect *r);
	void    FrameOval (Rect *r);

	int     GetPixel  (int , int );
	void    LineRel   (int , int );
	void    LineTo    (int , int );
	void    MoveTo    (int , int );
	void    PenColor  (int );
	void    PenMode   (int );
	void    PenNormal (void);
	void    PenPattern(int );
	void	Rect2Oval (Rect *r, int *x, int *y, int *xrad, int *yrad);
	void    ScreenSize(int *, int *);
	void    SetPixel  (int , int , int );
	void    TextSize  (int *, int *);

	void    ShutDown();
	~Graphic();
};

#endif
