//
//      MOUSE.HPP
//      version 1.00    11/15/91
//      header file for Mouse Class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//


#ifndef MOUSE_HPP
#define MOUSE_HPP


#include <dos.h>        // REGS
// #include <stdlib.h>


#define MS_LEFTBUTTON	1		// mouse button definitions
#define MS_RIGHTBUTTON	2

typedef void (*function)();		// mouse user function

enum mousemode	{ MS_OFF = -1, MS_ON = 0 };


class Mouse {
public:
	int  	active;
private:
	REGS    results;                // last results
	int     status;
	void    buttonfunc(int func, int, int *, int *, int *, int *);
	int     mouseint(int func, unsigned int bx = 0,
				   unsigned int cx = 0,
				   unsigned int dx = 0);
public:
	Mouse	();                     // constructor
	~Mouse	();                 	// destructor

	void    buttoninfo (int , int *, int *, int *, int *);
	void    buttonpress(int , int *, int *, int *, int *);
	void    buttonrel  (int , int *, int *, int *, int *);
	int     getstate   (int *, int *);
	void	graphcursor(int , int , int []);
	void    hide	   ();
	void	motion     (int *, int *);
	void    moveto     (int , int );
	void	protect    (int , int , int , int );
	void	ratio	   (int , int );
	void	reset	   ();
	void    setxrange  (int , int );
	void    setyrange  (int , int );
	void    show	   ();
	void	textcursor (int , unsigned , unsigned );
	void	threshold  (int );
	void    usertask   (unsigned , function );
};

#endif
