//
//      RECT.HPP
//      version 1.00    11/15/91
//      header for Rectangle class
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//

#ifndef RECT_HPP
#define RECT_HPP

#include "POINT.HPP"


class Rect {
friend 	class 	Point;
public:
	Point   upperleft;
	Point   lowerright;
public:
	Rect	(int x1 = 0, int y1 = 0, int x2 = 0, int y2 = 0);
        Rect    (Point *ul, Point *lr);

        Point   extent  ();
        void    inset   (int , int );
        void    offset  (int , int );
        Point   origin  ();
        void    set     (int , int , int , int );

	Rect&	operator = (const Rect& r);
	Rect&	operator + (const Rect& r);
};

#endif

