//
//      STRING.HPP
//      verison 1.00    11/10/91
//      adapted from Chapter 6 of the C++ Primer by Lippman
//      copyright (c) 1991 by James S. Clark
//      all rights reserved
//

#ifndef STRING_HPP
#define STRING_HPP


class	String {
private:
	int	len;
	char	*str;
public:
	String	(char *);	// String s("Text");
	String	(int);		// String s(256);
	String	();		// String s;
	~String	();		// delete s;

	int     length  ();
	void    print   ();

	operator == (String& s);	// equality
	operator == (char *s);
	operator >  (String& s);	// greater than
	operator >  (char *s);
	operator >= (String& s);	// greater than or equal
	operator >= (char *s);
	operator <  (String& s);	// less than
	operator <  (char *s);
	operator <= (String& s);	// less than or equal
	operator <= (char *s);

	String& operator =  (const String& s);          // copy
	String& operator =  (const char *);             // copy
	String& operator +  (const String& s);          // concat
	String& operator +  (const char *);             // concat
	String& operator += (const String& s);          // concat
	String& operator += (const char *);             // concat
	String& operator << (const String& s);          // concat
	String& operator << (const char *);             // concat
        char&   operator [] (int index);
};

#endif
