//
//	WINDMGR.HPP
//	version 1.00	11/10/91
//	header file for Window Manager
//	copyright (c) 1991 by James S. Clark
//	all rights reserved


#ifndef WINDOW_HPP
#define WINDOW_HPP

#include "KEYS.H"


// window attribute flags

#define W_BLANK         0x0000
#define W_TITLE         0x0001
#define W_FRAME         0x0002
#define W_DOUBLE        0x0004
#define W_SHADOW        0x0008
#define W_EMBOSS        0x0010
#define W_CLOSE         0x0020
#define W_ZOOM          0x0040
#define W_SIZE          0x0080
#define W_SHOWING       0x0100

#define T_LEFT          1
#define T_CENTER        2
#define T_RIGHT         3

typedef struct {
	char	title;
	char	frame;
	char	text;
	char	select;
	char	hititle;
	char	hiframe;
	char	hitext;
	char	hiselect;
} colors;


class Window {
	friend class Menu;
	friend class Control;
private:
	int     id;
	int	flag;
	char	*backdata;
	int	x1, y1;
	int	x2, y2;
	colors  *color;
	char    *title;
public:
	Window  (char *title, int x1, int y1, int x2, int y2, int flags, colors *clr);
        ~Window ()      { };
        void    close   ();
	void    emboss  ();
	void    frame   (int hilight);
        void    hide    ();
	void    settitle(char *theTitle, int hilight);
	void    shadow  ();
	void    show    ();
	int     startup ();
        void    textbox (int, int , int , int , int mode, char * );
	void    textline(int, int , int , int mode, char * );
};


//      function prototypes

void 	BIOS_setcursor(int state);
void    zapattr  (int x, int y, int cnt, char val);
void    drawframe(int x1, int y1, int x2, int y2, int type);


#endif
